Subject: Re: Arm + KASAN + syzbot

From: Russell King - ARM Linux admin <[email-masked]>
Date: Tue, 19 Jan 2021 12:36:59 +0000

On Tue, Jan 19, 2021 at 01:05:11PM +0100, Dmitry Vyukov wrote:
> Yes, I used the qemu -dtb flag.
> 
> I tried to use CONFIG_ARM_APPENDED_DTB because it looks like a very
> nice option. However, I couldn't make it work.
> I enabled:
> CONFIG_ARM_APPENDED_DTB=y
> CONFIG_ARM_ATAG_DTB_COMPAT=y
> # CONFIG_ARM_ATAG_DTB_COMPAT_CMDLINE_FROM_BOOTLOADER is not set
> CONFIG_ARM_ATAG_DTB_COMPAT_CMDLINE_EXTEND=y
> and removed qemu -dtb flag and I see:
> 
> Error: invalid dtb and unrecognized/unsupported machine ID
>   r1=0x000008e0, r2=0x80000100
>   r2[]=05 00 00 00 01 00 41 54 01 00 00 00 00 10 00 00

Right, r2 now doesn't point at valid DT, but points to an ATAG list.

The decompressor should notice that, and fix up the appended DTB.

I assume you concatenated the zImage and the appropriate DTB and
passed _that_ as the kernel to qemu?

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel